%global        majorminor  1.0

Name:          gstreamer-omx
Version:       1.0.0
Release:       1%{?dist}
Summary:       GStreamer OpenMAX IL wrapper plugin

Group:         System Environment/Libraries
License:       LGPLv2+
URL:           http://gstreamer.freedesktop.org/
Source0:       http://gstreamer.freedesktop.org/src/gst-omx/gst-omx-%{version}.tar.xz

BuildRequires: gstreamer1-devel >= %{majorminor}
BuildRequires: gstreamer1-plugins-base-devel >= %{majorminor}
# Currently broken
# BuildRequires: libomxil-bellagio-devel

%description
This plugin wraps available OpenMAX IL components and makes
them available as standard GStreamer elements.

%prep
%setup -q  -n gst-omx-%{version}

%build
%configure --disable-static

make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

rm %{buildroot}%{_libdir}/gstreamer-%{majorminor}/*.la

%files
%doc COPYING README AUTHORS ChangeLog RELEASE
%{_libdir}/gstreamer-%{majorminor}/libgstomx.so

%changelog
* Sun Apr 14 2013 Peter Robinson <pbrobinson@fedoraproject.org> 1.0.0-1
- Initial package
